clang-tools 6.0.0

Public Attributes | Friends | List of all members
HeaderEntry Struct Reference
Collaboration diagram for HeaderEntry:
[legend]

## Public Attributes
std::string | Name
Location | Loc

## Friends
bool | operator== (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator!= (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator< (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator> (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator<= (const HeaderEntry &X, const HeaderEntry &Y)
bool | operator>= (const HeaderEntry &X, const HeaderEntry &Y)

## Detailed Description

Definition at line 460 of file Modularize.cpp.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 467 of file Modularize.cpp.

## ◆ operator<

bool operator< | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 470 of file Modularize.cpp.

## ◆ operator<=

bool operator<= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 476 of file Modularize.cpp.

## ◆ operator==

bool operator== | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 464 of file Modularize.cpp.

## ◆ operator>

bool operator> | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 473 of file Modularize.cpp.

## ◆ operator>=

bool operator>= | ( | const HeaderEntry & | X,
|  | const HeaderEntry & | Y
| ) |  |
| friend

Definition at line 479 of file Modularize.cpp.

## Member Data Documentation

## ◆ Loc

Location HeaderEntry::Loc

Definition at line 462 of file Modularize.cpp.

## ◆ Name

std::string HeaderEntry::Name

Definition at line 461 of file Modularize.cpp.

The documentation for this struct was generated from the following file:

- Modularize.cpp